lucene-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kiwi clive <kiwi_cl...@yahoo.com.INVALID>
Subject Lucene Version Upgrade (3->4) and Java JVM Versions(6->8)
Date Tue, 27 Jan 2015 14:58:32 GMT

Hello guys,
We currently run with Lucene 3.6 and Java6. In view of the fact that Java7 is soon to be deprecated,
we are keen to move to Java8 and also to move to the latest version of Lucene. I understand
Lucene 5 is coming although we are happy to move to 4.x as there are lots of goodies there
we can use.
I seem to remember reading that certain versions of lucene were incompatible with some java
versions although I cannot find anything to verify this. As we have tens of thousands of large
indexes, backwards compatibility without the need to reindex on an upgrade is of prime importance
to us.
Does anyone have any words of wisdom, or better still, pointers to some documentation that
would be of use here? I can obviously run some tests but incompatibilities can be insidious
and it would be good to know from the outset if there are any gotchas before embarking along
this road.
In an ideal world we would have Java8 + lucene4.x reading a lucene3.6 index (that was created
with Java6).
Then we would write to the lucen3.6 index using java8 and lucene4.x.
Any suggestions would be most welcome!
Many thanks,Clive
   
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message